Page MenuHomePhabricator

CloudVPS: improve VM backups to make them redundant and discoverable
Open, MediumPublic

Description

Make instance backups redundant and discoverable (we have the HW resources for this but it will require some additional coding).

Additional docs:

Event Timeline

aborrero triaged this task as Medium priority.Nov 4 2020, 11:14 AM
aborrero moved this task from Inbox to Soon! on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2020-11-23T09:57:35Z] <dcaro> Remove control-1 node from the pool (was replaced by control-4) (T267195)

Mentioned in SAL (#wikimedia-cloud) [2020-11-23T09:57:35Z] <dcaro> Remove control-1 node from the pool (was replaced by control-4) (T267195)

That was for another task, ignore

Change 649326 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] [wmcs][rbd2backy2] Add a tag for full/diff backup

https://gerrit.wikimedia.org/r/649326

Change 649326 merged by David Caro:
[operations/puppet@production] wmcs:rbd2backy2: Add a tag for full/diff backup

https://gerrit.wikimedia.org/r/649326

Mentioned in SAL (#wikimedia-cloud) [2020-12-14T15:43:32Z] <dcaro> Merging the tagging for vm backups (T267195)

Change 650141 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] [wmcs][backups] Add project and vm info

https://gerrit.wikimedia.org/r/650141

Change 650496 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] [wmcs][backups] Add cli see where a project/vm is backed up

https://gerrit.wikimedia.org/r/650496

Change 650497 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] [wmcs][backup] Added command to show a project

https://gerrit.wikimedia.org/r/650497

Change 650141 merged by David Caro:
[operations/puppet@production] [wmcs][backups] Add project and vm info

https://gerrit.wikimedia.org/r/650141

Change 650496 merged by David Caro:
[operations/puppet@production] [wmcs][backups] Add cli see where a project/vm is backed up

https://gerrit.wikimedia.org/r/650496

Change 650497 merged by David Caro:
[operations/puppet@production] [wmcs][backup] Added command to show a project

https://gerrit.wikimedia.org/r/650497

Change 654196 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: ignore all dumps backups except dumps-0

https://gerrit.wikimedia.org/r/654196

Change 651166 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Add a images summary command

https://gerrit.wikimedia.org/r/651166

Change 651507 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Add a method to create a vm backup

https://gerrit.wikimedia.org/r/651507

Change 651537 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Remove all dangling snapshots

https://gerrit.wikimedia.org/r/651537

Change 651550 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Add a way to remove old backups and snapshots

https://gerrit.wikimedia.org/r/651550

Change 651761 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Add command to backup all assigned vms

https://gerrit.wikimedia.org/r/651761

Change 651776 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: add a command to remove non-handled backups

https://gerrit.wikimedia.org/r/651776

Change 654220 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backup: Add a command to create the next backup

https://gerrit.wikimedia.org/r/654220

Change 654221 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] wmcs.backups: Add host to the rbd snapshot name

https://gerrit.wikimedia.org/r/654221

Change 654196 merged by David Caro:
[operations/puppet@production] wmcs.backup: ignore all dumps backups except dumps-0

https://gerrit.wikimedia.org/r/654196

Change 651166 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add a images summary command

https://gerrit.wikimedia.org/r/651166

Change 651507 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add a method to create a vm backup

https://gerrit.wikimedia.org/r/651507

Change 651537 merged by David Caro:
[operations/puppet@production] wmcs.backup: Remove all dangling snapshots

https://gerrit.wikimedia.org/r/651537

Change 651550 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add a way to remove old backups and snapshots

https://gerrit.wikimedia.org/r/651550

Change 651761 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add command to backup all assigned vms

https://gerrit.wikimedia.org/r/651761

Change 651776 merged by David Caro:
[operations/puppet@production] wmcs.backup: add a command to remove non-handled backups

https://gerrit.wikimedia.org/r/651776

Change 654220 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add a command to create the next backup

https://gerrit.wikimedia.org/r/654220

Change 654221 merged by David Caro:
[operations/puppet@production] wmcs.backup: Add host to the rbd snapshot name

https://gerrit.wikimedia.org/r/654221